extends Node

var _actions_to_ignore: Array[StringName] = []

# Public Methods
func IgnoreAction(action_name: StringName) -> void:
	_actions_to_ignore.append(action_name)


func ShouldIgnoreAction(action_name: StringName) -> bool:
	return _actions_to_ignore.has(action_name)


# Private Methods
func _process(_delta: float) -> void:
	_actions_to_ignore = []
